# Class MediaTray

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.Media
javax.print.attribute.standard.MediaTray

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute`

public class MediaTray extends Media implements Attribute
Class `MediaTray` is a subclass of `Media`. Class `MediaTray` is a printing attribute class, an enumeration, that specifies the media tray or bin for the job. This attribute can be used instead of specifying `MediaSize` or `MediaName`.

Class `MediaTray` declares keywords for standard media kind values. Implementation- or site-defined names for a media kind attribute may also be created by defining a subclass of class `MediaTray`.

IPP Compatibility: `MediaTray` is a representation class for values of the IPP "media" attribute which name paper trays.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaTray`
  `BOTTOM`
  The bottom input tray in the printer.
  `static final MediaTray`
  `ENVELOPE`
  The envelope input tray in the printer.
  `static final MediaTray`
  `LARGE_CAPACITY`
  The large capacity input tray in the printer.
  `static final MediaTray`
  `MAIN`
  The main input tray in the printer.
  `static final MediaTray`
  `MANUAL`
  The manual feed input tray in the printer.
  `static final MediaTray`
  `MIDDLE`
  The middle input tray in the printer.
  `static final MediaTray`
  `SIDE`
  The side input tray.
  `static final MediaTray`
  `TOP`
  The top input tray in the printer.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MediaTray(int value)`
  Construct a new media tray enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `MediaTray`.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `MediaTray`.

  ### Methods declared in class Media

  `equals, getCategory, getName`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this media attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TOP

    public static final MediaTray TOP
    The top input tray in the printer.

  - ### MIDDLE

    public static final MediaTray MIDDLE
    The middle input tray in the printer.

  - ### BOTTOM

    public static final MediaTray BOTTOM
    The bottom input tray in the printer.

  - ### ENVELOPE

    public static final MediaTray ENVELOPE
    The envelope input tray in the printer.

  - ### MANUAL

    public static final MediaTray MANUAL
    The manual feed input tray in the printer.

  - ### LARGE_CAPACITY

    public static final MediaTray LARGE_CAPACITY
    The large capacity input tray in the printer.

  - ### MAIN

    public static final MediaTray MAIN
    The main input tray in the printer.

  - ### SIDE

    public static final MediaTray SIDE
    The side input tray.

- ## Constructor Details

  - ### MediaTray

    protected MediaTray(int value)
    Construct a new media tray enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `MediaTray`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `MediaTray`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table